Simulate payment

This endpoint allows the merchant to simulate a payment after performing a charge request, updating the request status to “Pending cknowledgement”. This is sent as a JSON POST request.

🚧

Sandbox Endpoint:

https://online.sandbox.tingg.africa/approval/payment-service/checkout-payments/simulation

Request Parameters

KeyValue TypeRequiredDescription
customer_nameStringYesCustomer name/s.
msisdnStringYesMobile number for the customer.
account_numberStringYesAccount number for the customer on the merchant system. This is the reference the customer will pay to. (Has a limit of 15 characters)
callback_urlStringYesString of the endpoint we are to send the webhook request to.
country_codeStringYes3 digit ISO code of the country you wish to collect payment for
currency_codeStringYes3 digit ISO code of the currency the merchant is invoicing for.
client_codeStringNoPayment option code of the payment options the merchant wishes to collect for
merchant_transaction_idStringYesUnique Id the merchant raised for the request (Has a limit of 100 characters)
amountDoubleYesAmount you wish to start collecting for.
narrationStringYesShows the description of the item being purchased. (Has a limit of 255 characters)
service_codeStringYesThe service code assigned to the merchant on the tingg portal
payment_modeStringYesStatic value of "mobile"
{
    "customer_name": "John Doe",
    "merchant_transaction_id":"id_1511940",
    "callback_url":"https://webhook.site/v3/merchantcallbackurlforsuccess",
    "msisdn": "254796006000",
    "account_number": "acc_1511940T", 
    "amount": "100",
    "service_code": "SERVICECODE",
    "country_code": "KEN",
    "currency_code": "KES",
    "client_code": "SAFKE",
    "payment_mode": "mobile",
    "narration": "Testing simulation"
}

HTTP Response Status Codes

Status CodeDescription
200Success. Checkout request successfully logged in the checkout platform.
500Failure. Generic failure occurred. Could be as a result of a system failure on the checkout platform.
1001No request found.
1007Missing country code. The checkout request posted was missing a country_code
1013Not JSON. The checkout request posted was not valid JSON
1014Missing merchant transaction id. The request did not have a merchant_transaction_id
1015Missing checkout request id.The request did not have a checkout_request_id
1017Invalid msisdn provided. The charge_msisdn provided was not valid in the country provided
1027Invalid amount provided. The charge_amount should be between the and maximum amounts provided for the payment option.

Successful Response

{
    "status": 1,
    "data": "Payment pending acknowledgement"
}